# An Example Chat Application using Feathers & Next.js frameworks

This is an experimental project for honing Node.js full-stack skills, notably:

- Feathers: a REST and real-time API layer for Node.js and the browser
- composing Express applications: Feathers & Next.js
- websocket-based messaging
- LWT-based user authentication

The chat application is derived from Feathers sample projects:

- [feathersjs/feathers-chat](https://github.com/feathersjs/feathers-chat.git)
- [feathersjs/feathers-chat-react](https://github.com/feathersjs-ecosystem/feathers-chat-react.git)

These sample projects are combined into a single full-stack application adapted for Next.js and
built upon a project foundation developed for the example project:

- [mjbrown/nextjs-react-hooks-example](https://gitlab.com/mjbrown/nextjs-react-hooks-example.git)
  
which implements the following features:

- Next.js React framework
- React Hooks
- JSX styling w/ Bulma Sass
- Markdown
- Immer for state immutability
- axios http w/ async/await
- ARIA tags for accessibilty & testing
- AVA and Jest for unit testing
- Cypress for integration and end-to-end testing

See the [documentation](./public/index.md) for more information.

# License

[MIT](./LICENSE)
